Package wx :: Package lib :: Package agw :: Module floatspin :: Class FloatTextCtrl

[frames | no frames]

## Type FloatTextCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      TextCtrl --+
                                 |
                                FloatTextCtrl

Method Summary
| ``__init__`(self, parent, id, value, pos, size, style, validator, name)` Default class constructor.
| ``OnChar`(self, event)` Handles the wx.EVT_CHAR event by passing it to FloatSpin.
| ``OnDestroy`(self, event)` Tries to correctly handle the control destruction under MSW.
| ``OnKillFocus`(self, event)` Synchronize the wx.SpinButton and the wx.TextCtrl when focus is lost.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, value='', pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=9216, validator=<wx._core.Validator; proxy of <Swig Object of type 'wxVal..., name=u'text')
(Constructor)

Default class constructor. Used internally. do not call directly this class in your code!

  Overrides:
    `wx.TextCtrl.__init__`

### OnChar(self, event)

Handles the wx.EVT_CHAR event by passing it to FloatSpin.

### OnDestroy(self, event)

Tries to correctly handle the control destruction under MSW.

### OnKillFocus(self, event)

Synchronize the wx.SpinButton and the wx.TextCtrl when focus is lost.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:27 2009 | http://epydoc.sf.net